Overview | Package | Class | Tree | Deprecated | Index | Help
| Copyright © 2006 BEA Systems, Inc. All Rights Reserved
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bea.apps.groupspace.search.utils
Class FullTextSearchBuilder

    java.lang.Object
      com.bea.apps.groupspace.search.utils.FullTextSearchBuilder

    public class FullTextSearchBuilder

extends Object

This class will construct search objects that will search both the binary field and metadata for the named text. It is to be used by the CmFullTextSearchControl and the GsFullTextSearchControl, NOT by the EnterpriseSearchControl.

Use of this class assumes the Autonomy Search Engine is running.

Field Summary
`protected boolean` | `isCmBinaryDataEncoded`
`protected boolean` | `isCmMetadataEncoded`

Constructor Summary
`FullTextSearchBuilder()`

Method Summary
`com.bea.content.expression.FullTextSearch[]` | `allTheseWords(Set<IMetadataQueryParameter> metaParams, String[] allWords)`
`com.bea.content.expression.FullTextSearch[]` | `allTheseWordsNotThese(Set<IMetadataQueryParameter> metaParams, String[] allWords, String[] notWords)`
`com.bea.content.expression.FullTextSearch[]` | `anyOfTheseWords(Set<IMetadataQueryParameter> metaParams, String[] anyWords)` Construct a FullTextSearch object that will search content for "any of these words".
`com.bea.content.expression.FullTextSearch[]` | `anyOfTheseWordsNotThese(Set<IMetadataQueryParameter> metaParams, String[] anyWords, String[] notWords)` Construct a FullTextSearch object that will search content for "any of these words" but not these.
`protected String` | `decodeMetaIfNeeded(String metaWord)`
`protected String[]` | `decodeMetaIfNeeded(String[] metaWords)`
`protected String` | `decodeTextIfNeeded(String textWord)`
`protected String[]` | `decodeTextIfNeeded(String[] textWords)`
`boolean` | `isCmBinaryDataEncoded()`
`boolean` | `isCmMetadataEncoded()`
`com.bea.content.expression.FullTextSearch[]` | `noneOfTheseWords(Set<IMetadataQueryParameter> metaParams, String[] words)` Construct a FullTextSearch object that will search for "none of these words".
`void` | `setCmBinaryDataEncoded(boolean cmBinaryDataEncoded)`
`void` | `setCmMetadataEncoded(boolean cmMetadataEncoded)`
`com.bea.content.expression.FullTextSearch[]` | `thisExactPhrase(Set<IMetadataQueryParameter> metaParams, String exactPhrase)` Construct a FullTextSearch object that will search content for "this exact phrase".
`com.bea.content.expression.FullTextSearch[]` | `thisExactPhraseNotThese(Set<IMetadataQueryParameter> metaParams, String exactPhrase, String[] notWords)` Build FTS for searching text and metadata for all these words and none of these

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### isCmBinaryDataEncoded

    protected boolean isCmBinaryDataEncoded

### isCmMetadataEncoded

    protected boolean isCmMetadataEncoded

Constructor Detail

### FullTextSearchBuilder

    public FullTextSearchBuilder()

Method Detail

### isCmBinaryDataEncoded

    public boolean isCmBinaryDataEncoded()

### setCmBinaryDataEncoded

    public void setCmBinaryDataEncoded(boolean cmBinaryDataEncoded)

### isCmMetadataEncoded

    public boolean isCmMetadataEncoded()

### setCmMetadataEncoded

    public void setCmMetadataEncoded(boolean cmMetadataEncoded)

### noneOfTheseWords

    public com.bea.content.expression.FullTextSearch[] noneOfTheseWords(Set<IMetadataQueryParameter> metaParams,
                                                                        String[] words)
                                                                 throws Exception

  Construct a FullTextSearch object that will search for "none of these words". Return an array of FullTextSearch objects : the first is for the text search, the second for the metadata search.

  Throws
    `Exception`

### allTheseWords

    public com.bea.content.expression.FullTextSearch[] allTheseWords(Set<IMetadataQueryParameter> metaParams,
                                                                     String[] allWords)
                                                              throws Exception

  Throws
    `Exception`

### allTheseWordsNotThese

    public com.bea.content.expression.FullTextSearch[] allTheseWordsNotThese(Set<IMetadataQueryParameter> metaParams,
                                                                             String[] allWords,
                                                                             String[] notWords)
                                                                      throws Exception

  Throws
    `Exception`

### anyOfTheseWords

    public com.bea.content.expression.FullTextSearch[] anyOfTheseWords(Set<IMetadataQueryParameter> metaParams,
                                                                       String[] anyWords)
                                                                throws Exception

  Construct a FullTextSearch object that will search content for "any of these words".

  Throws
    `Exception`

### anyOfTheseWordsNotThese

    public com.bea.content.expression.FullTextSearch[] anyOfTheseWordsNotThese(Set<IMetadataQueryParameter> metaParams,
                                                                               String[] anyWords,
                                                                               String[] notWords)
                                                                        throws Exception

  Construct a FullTextSearch object that will search content for "any of these words" but not these.

  Throws
    `Exception`

### thisExactPhrase

    public com.bea.content.expression.FullTextSearch[] thisExactPhrase(Set<IMetadataQueryParameter> metaParams,
                                                                       String exactPhrase)
                                                                throws Exception

  Construct a FullTextSearch object that will search content for "this exact phrase". There may be only one phrase in the 'words' parameter.

  Throws
    `Exception`

### thisExactPhraseNotThese

    public com.bea.content.expression.FullTextSearch[] thisExactPhraseNotThese(Set<IMetadataQueryParameter> metaParams,
                                                                               String exactPhrase,
                                                                               String[] notWords)
                                                                        throws Exception

  Build FTS for searching text and metadata for all these words and none of these

  Throws
    `Exception`

### decodeTextIfNeeded

    protected String decodeTextIfNeeded(String textWord)

### decodeMetaIfNeeded

    protected String decodeMetaIfNeeded(String metaWord)

### decodeTextIfNeeded

    protected String[] decodeTextIfNeeded(String[] textWords)

### decodeMetaIfNeeded

    protected String[] decodeMetaIfNeeded(String[] metaWords)

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2006 BEA Systems, Inc. All Rights Reserved